# Add or Update Company Note

## Add or Update Company Note

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/contact?action=addOrUpdateCompanyNote`

Add or update company note details

#### Request Body

| Name      | Type    | Description                                                            |
| --------- | ------- | ---------------------------------------------------------------------- |
| id        | integer | The company note's identifier. (Leave empty to add new)                |
| companyId | integer | The unique identifier of the company to which note being added/updated |
| noteText  | string  | The description of the note                                            |

{% tabs %}
{% tab title="200 " %}

```
{
  "success": true
  "id":33884
}
```

{% endtab %}
{% endtabs %}

## Example Request: Adding a company note

```javascript
{
    "companyId": 2,
    "noteText": "test note",
}
```

## Returns

| Property | Description                                           |
| -------- | ----------------------------------------------------- |
| success  | If the company note was successfully added or updated |
| id       | The unique identifier for the company note            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/contact/add-or-update-company-note.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
